Project

General

Profile

Installation problems on Armbian

Added by Sepp Maier 18 days ago

Hi guys,

I try to reinstall my tvheadend, but unfortunately it always tells me suddenly some depencies which I can't solve.

libhdhomerun4 (>= 20200521)

But it's installed and in Buster stable only available:

libhdhomerun4:armhf (20180327-1)

When i try to install it manuelly, then there is the next depency to libc-bin and so on... a never ending story. Actually tvheadend worked already quite well, but suddenly it stopped working. So I thought maybe it's the best idea to reinstall tvheadend. And now there is even bigger trouble.


Replies (5)

RE: Installation problems on Armbian - Added by Flole Systems 18 days ago

Please post the output and parameters you used when you called ./configure during the compilation.

RE: Installation problems on Armbian - Added by Sepp Maier 18 days ago

Hi, I don't compile. I use ready packages and need unstable version for transcoding. It's really annoying that it worked for month and yesterday evening suddenly stopped working without any hint. Then I did unfortunately deinstall the package and did a sudo apt autoremove and it wiped some packages.

Since then I'm just trying to reinstall it...

I saved now the directory /home/hts/.hts, but if I would try to switch to stable again the channellist won't work...

So I need to continue using unstable.

Unfortunately I can't offer other logs as far as I know.

I need to solve the issue with libhdhomerun4 and I also know then there needs also lib-bin an update.

RE: Installation problems on Armbian - Added by Flole Systems 18 days ago

You should contact the maintainer of those packages then. There are no official buster-armhf builds as far as I know.

RE: Installation problems on Armbian - Added by Sepp Maier 17 days ago

Hi.

It seems to be a major problem of the git-versions. I was so desperated that I did a fresh reinstallation on Armbian Focal (Ubuntu 20.04) and have the same issue. The maintainer is Mamarley which is also noticed in the offical repository as unoffical but the only avaliable for armhf repositories.

[email protected]:~# sudo apt-add-repository ppa:mamarley/tvheadend-git
 Contains automatic daily builds of the TVHeadend master branch.
 More info: https://launchpad.net/~mamarley/+archive/ubuntu/tvheadend-git
Press [ENTER] to continue or Ctrl-c to cancel adding it.

Hit:1 http://ports.ubuntu.com focal InRelease
Get:2 http://ports.ubuntu.com focal-security InRelease [107 kB]                
Get:3 http://ppa.launchpad.net/mamarley/tvheadend-git/ubuntu focal InRelease [23.8 kB]
Get:4 http://ports.ubuntu.com focal-updates InRelease [111 kB]                 
Get:6 http://ports.ubuntu.com focal-backports InRelease [98.3 kB]
Hit:5 https://imola.armbian.com/apt focal InRelease
Get:7 http://ppa.launchpad.net/mamarley/tvheadend-git/ubuntu focal/main armhf Packages [856 B]
Fetched 341 kB in 5s (63.6 kB/s)
Reading package lists... Done
[email protected]:~# sudo apt update && sudo apt install tvheadend
Hit:1 http://ppa.launchpad.net/mamarley/tvheadend-git/ubuntu focal InRelease
Hit:2 http://ports.ubuntu.com focal InRelease                           
Hit:3 http://ports.ubuntu.com focal-security InRelease                  
Hit:4 http://ports.ubuntu.com focal-updates InRelease                   
Hit:5 http://ports.ubuntu.com focal-backports InRelease                 
Hit:6 https://imola.armbian.com/apt focal InRelease
Reading package lists... Done
Building dependency tree       
Reading state information... Done
All packages are up to date.
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 tvheadend : Depends: libhdhomerun4 (>= 20200521) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
[email protected]:~# sudo add-apt-repository universe
'universe' distribution component enabled for all sources.
Hit:1 http://ports.ubuntu.com focal InRelease
Hit:2 http://ports.ubuntu.com focal-security InRelease  
Hit:3 http://ppa.launchpad.net/mamarley/tvheadend-git/ubuntu focal InRelease
Hit:4 http://ports.ubuntu.com focal-updates InRelease                   
Hit:5 http://ports.ubuntu.com focal-backports InRelease                 
Get:6 http://ports.ubuntu.com/ubuntu-ports focal InRelease [265 kB]     
Get:7 https://minio.k-space.ee/armbian/apt focal InRelease [18.2 kB]          
Get:8 http://ports.ubuntu.com/ubuntu-ports focal/universe armhf Packages [10.9 MB]
Fetched 11.2 MB in 19s (607 kB/s)                                              
Reading package lists... Done
[email protected]:~# sudo add-apt-repository multiverse
'multiverse' distribution component enabled for all sources.
Hit:1 http://ports.ubuntu.com focal InRelease
Hit:2 http://ports.ubuntu.com focal-security InRelease                  
Hit:3 http://ppa.launchpad.net/mamarley/tvheadend-git/ubuntu focal InRelease
Hit:4 http://ports.ubuntu.com focal-updates InRelease                   
Hit:5 http://ports.ubuntu.com focal-backports InRelease                 
Hit:6 http://ports.ubuntu.com/ubuntu-ports focal InRelease              
Hit:7 https://imola.armbian.com/apt focal InRelease
Get:8 http://ports.ubuntu.com/ubuntu-ports focal/multiverse armhf Packages [141 kB]
Fetched 141 kB in 6s (22.6 kB/s)                                               
Reading package lists... Done
[email protected]:~# sudo add-apt-repository restricted
'restricted' distribution component enabled for all sources.
Hit:1 http://ports.ubuntu.com focal InRelease
Hit:2 http://ppa.launchpad.net/mamarley/tvheadend-git/ubuntu focal InRelease
Hit:3 http://ports.ubuntu.com focal-security InRelease
Hit:4 http://ports.ubuntu.com focal-updates InRelease                   
Hit:5 http://ports.ubuntu.com focal-backports InRelease                 
Hit:6 http://ports.ubuntu.com/ubuntu-ports focal InRelease
Get:7 https://minio.k-space.ee/armbian/apt focal InRelease [18.2 kB]
Get:8 http://ports.ubuntu.com/ubuntu-ports focal/restricted armhf Packages [10.8 kB]
Fetched 29.0 kB in 6s (4841 B/s)
Reading package lists... Done
[email protected]:~# apt install tvheadend
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 tvheadend : Depends: libhdhomerun4 (>= 20200521) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
[email protected]:~# sudo apt update && sudo apt install tvheadend
Hit:1 http://ppa.launchpad.net/mamarley/tvheadend-git/ubuntu focal InRelease
Hit:2 http://ports.ubuntu.com focal InRelease                           
Hit:3 http://ports.ubuntu.com focal-security InRelease                  
Hit:4 http://ports.ubuntu.com focal-updates InRelease                   
Hit:5 http://ports.ubuntu.com focal-backports InRelease                 
Hit:6 http://ports.ubuntu.com/ubuntu-ports focal InRelease              
Get:7 https://minio.k-space.ee/armbian/apt focal InRelease [18.2 kB]
Fetched 18.2 kB in 6s (2991 B/s)                                               
Reading package lists... Done
Building dependency tree       
Reading state information... Done
All packages are up to date.
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 tvheadend : Depends: libhdhomerun4 (>= 20200521) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
[email protected]:~# sudo apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
[email protected]:~# sudo apt-get install libhdhomerun4
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following NEW packages will be installed:
  libhdhomerun4
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 24.8 kB of archives.
After this operation, 67.6 kB of additional disk space will be used.
Get:1 http://ports.ubuntu.com focal/universe armhf libhdhomerun4 armhf 20200225-1 [24.8 kB]
Fetched 24.8 kB in 0s (114 kB/s)        
Selecting previously unselected package libhdhomerun4:armhf.
(Reading database ... 34163 files and directories currently installed.)
Preparing to unpack .../libhdhomerun4_20200225-1_armhf.deb ...
Unpacking libhdhomerun4:armhf (20200225-1) ...
Setting up libhdhomerun4:armhf (20200225-1) ...
Processing triggers for libc-bin (2.31-0ubuntu9.1) ...
[email protected]:~# sudo apt install tvheadend
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 tvheadend : Depends: libhdhomerun4 (>= 20200521) but 20200225-1 is to be installed
E: Unable to correct problems, you have held broken packages.
[email protected]:~# sudo apt install tvheadend -y
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 tvheadend : Depends: libhdhomerun4 (>= 20200521) but 20200225-1 is to be installed
E: Unable to correct problems, you have held broken packages.

RE: Installation problems on Armbian - Added by Flole Systems 17 days ago

The git versions don't have that problem as they won't compile hdhomerun support in if it's not available.

    (1-5/5)